#version 430 core
in vec4 gColorC;
in vec4 gColorE;
in vec2 gBoundingBox;

out vec4 fColor;

void main()
{
  float d = dot(gBoundingBox,gBoundingBox);
  if ( d > 1) { discard; }
  fColor = mix (gColorE , gColorC, d);
}
